/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Main program body.
 * Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/

/*
 *@Note
 IAPʾ̣
    FLASH  ROM - 64K  RAM - 20K
        ûFLASH-64K - öǰ4KĬд
        IAP -  0x08000000 - 8K
        APP -  0x08002000 - 24K
        APP_BUF - 0x08008000 - 24K
        dataflash - 籣 256B - 0x0800FF00
 ע
 1. MCU CH32V203C8T6
 2. CANID 0x316
 
 */

#include "debug.h"
#include "iap.h"

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{


    Delay_Init();
    LED_Init();
    USART_Printf_Init(115200);
    PR("SystemClk:%d\r\n", SystemCoreClock);
    PR("IAP-0x40022030-%08x\r\n",*(uint32_t *) 0x40022030);

    LinkStatus();
    Flash_Modify();/* IAP   APP һ */
    /* Bps = 250Kbps */
    CAN_Mode_Init(CAN_SJW_1tq, CAN_BS2_5tq, CAN_BS1_6tq, 16, CAN_Mode_Normal);

    GPIO_ResetBits(GPIOA,GPIO_Pin_1);
    while(1)
    {

        RecData_Deal();

    }
}
